# keepAlive.interval

Determines the delay between successive keep-alive probes when enabled.

This parameter applies to imrelp: RELP Input Module.

Name:

  keepAlive.interval

Scope:

  input

Type:

  integer

Default:

  input=0

Required?:

  no

Introduced:

  Not documented

## Description

The interval between subsequent keep-alive probes, regardless of what the connection has been exchanged in the meantime. The default, 0, means that the operating system defaults are used. This only has an effect if keep-alive is enabled. The functionality may not be available on all platforms.

## Input usage

    input(type="imrelp" port="2514" keepAlive="on" keepAlive.interval="30")

## See also

See also imrelp: RELP Input Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.